//************************************
// Trans floor items...
//************************************
textures/ra3/S20_dirt2_trans
{
	qer_editorimage textures/organics/dirt2.tga
	surfaceparm nonsolid
	{
		map $lightmap
		rgbGen identity
	
	}
	{
		map textures/organics/dirt2.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO

	
	}
}


// *****************************************
// ** Please Comment and Date all changes
// *****************************************
// ** Rocket Arena Shader File 1.0 date 02.03.2000
// ** Added Blue and red RA3 Flags.**

textures/ra3/banner_strgg
{
	// not included to the distributable
	qer_editorimage textures/ra3/banner_strgg.tga

	cull disable
	surfaceparm alphashadow
	surfaceparm trans	
	surfaceparm nomarks

	tesssize 64
	deformVertexes wave 100 sin 0 3 0 .7

	sort banner
	{
                map models/mapobjects/flag/banner_strgg.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}

textures/ra3/ra3_redflag
{
        tessSize 64
        deformVertexes wave 194 sin 0 3 0 .4
        deformVertexes normal .3 .2
        surfaceparm nomarks
        surfaceparm nolightmap        
        cull none

	{
		map textures/ra3/ra3_redflag.tga
		rgbGen identity
	}

	{
		map textures/ra3/ra3_redflag.tga
	                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}

	{
        		map textures/sfx/shadow.tga
	                tcGen environment 
                	//blendFunc GL_ONE GL_ONE            
	                blendFunc GL_DST_COLOR GL_ZERO
               		rgbGen identity
	}
}

textures/ra3/ra3_portal
{
	qer_editorimage textures/ra3/stucco_ra3logo.tga
	portal
	surfaceparm nolightmap
	
	{
		map textures/ra3/stucco_ra3logo.tga
		blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
		depthWrite
		alphagen portal 1280
		rgbGen identityLighting	
	}

}

textures/ra3/static2
{
	qer_editorimage textures/ra3/ra3_logo.tga
        
	{
		map textures/ra3/ra3_logo.tga
		rgbGen wave sin 0.5 0.5 0 .25 
	}
	{
		map textures/ra3/static2.tga
		rgbGen wave sin 0.7 0.3 0.5 .25
		blendfunc gl_one gl_one
//		tcMod scroll .25 4
		tcMod turb 0 0.8 0.5 30
	}
	{	
		map $lightmap
	      blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_wall/chrome_env.tga
		tcgen environment
		tcmod scale .15 .15
		blendfunc gl_one gl_one_minus_src_color
		rgbgen wave triangle .5 .05 0 10
	}


}
//************************
//
//	SKIES
//
//************************

// ** Suicide20's Sky
// ** 02.11.2000

textures/ra3/ra3_sky1
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky

	qer_editorimage textures/skies/toxicsky.tga

	q3map_surfacelight 265
	q3map_sun 1 .928 .634  65 35 70
	skyparms - 512 -

	{
		map textures/skies/inteldimclouds.tga
		tcMod scroll 0.1 0.1
		tcMod scale 3 2
		depthWrite
	}
	{
		map textures/skies/intelredclouds.tga
		blendFunc GL_ONE GL_ONE
		tcMod scroll 0.05 0.05
		tcMod scale 3 3
	}
}
                